Page MenuHomePhabricator

Analytics support for echo dashboard task {frog} [8 pts]
Closed, ResolvedPublic

Description

  • Add the ability to name URL graphs in Limn
  • Help with SQL and reportupdater configuration
  • puppet change to enable the limn-ee-data job on stat1003

Details

Related Gerrit Patches:
analytics/limn-ee-data : masterOptimize queries

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Milimetric renamed this task from Analytics support for this task {frog} to Analytics support for echo dashboard task {frog} .
Milimetric assigned this task to matthiasmullie.
Milimetric claimed this task.
Milimetric raised the priority of this task from to High.
Milimetric updated the task description. (Show Details)
Milimetric set Security to None.
Milimetric moved this task from Next Up to In Code Review on the Analytics-Kanban board.
Milimetric moved this task from In Code Review to Ready to Deploy on the Analytics-Kanban board.
Milimetric added subscribers: gerritbot, Milimetric, Catrope and 6 others.
Milimetric renamed this task from Analytics support for echo dashboard task {frog} to Analytics support for echo dashboard task {frog} [8 pts].Oct 30 2015, 3:24 PM
Huji added a subscriber: Huji.Oct 30 2015, 8:45 PM
Milimetric added a subscriber: matthiasmullie.

@matthiasmullie: the puppet change for this was deployed, so the report should run sometime soon.

Change 250727 had a related patch set uploaded (by Mforns):
Optimize queries

https://gerrit.wikimedia.org/r/250727

mforns moved this task from Done to In Code Review on the Analytics-Kanban board.Nov 3 2015, 7:10 PM

Change 250727 merged by Milimetric:
Optimize queries

https://gerrit.wikimedia.org/r/250727

mforns moved this task from In Code Review to Done on the Analytics-Kanban board.Nov 4 2015, 5:11 PM

@matthiasmullie: the dashboards look like they're getting data now and the graphs are rendering fine: http://ee-dashboard.wmflabs.org/dashboards/enwiki-features

Looks like maybe some of the data doesn't make sense and some of the ranges aren't showing up. If you'd like more help on working with those queries on stat1003 so you can see what's happening, just poke us on IRC.

It looks like all 3 charts are using only 1 data source (http://datasets.wikimedia.org/limn-public-data/metrics/echo/monthly_production_and_consumption_of_notifications/enwiki.tsv?name=Monthly production and consumption of notifications)

In the config, there's 3 different urls, though: https://github.com/wikimedia/limn-editor-engagement-data/blob/master/dashboards/enwiki-features.json
The ?name=-based titles also seem to be picked up, as they're different for these 3 charts. Just the data isn't.

Any idea?

of course it is, 'cause limn's crazy :) I think I know what's going on, I'll try to fix now.

Nuria closed this task as Resolved.Nov 10 2015, 4:52 PM